For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
      • GETList Workspace Webhooks
      • POSTCreate Workspace Webhook
      • DELDelete Workspace Webhook
      • PATCHUpdate Workspace Webhook
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceWebhooks

Update Workspace Webhook

PATCH
/v1/workspace/webhooks/:webhook_id
PATCH
/v1/workspace/webhooks/:webhook_id
$curl -X PATCH https://api.elevenlabs.io/v1/workspace/webhooks/webhook_id \
> -H "Content-Type: application/json" \
> -d '{
> "is_disabled": true,
> "name": "My Callback Webhook"
>}'
1{
2 "status": "ok"
3}
Update the specified workspace webhook
Was this page helpful?
Previous

List voices

Next
Built with

Path parameters

webhook_idstringRequired
The unique ID for the webhook

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
is_disabledbooleanRequired
Whether to disable or enable the webhook
namestringRequired

The display name of the webhook (used for display purposes only).

retry_enabledboolean or nullOptional

Whether to enable automatic retries for transient failures (5xx, 429, timeout)

request_headersmap from strings to strings or nullOptional

A list of request headers to include with the webhook delivery (optional)

Response

Successful Response
statusstring
The status of the workspace webhook patch request. If the request was successful, the status will be 'ok'. Otherwise an error message with status 500 will be returned.

Errors

422
Unprocessable Entity Error